@import "2020base";

//////////////////////////////
/* TODO: BREAK INTO SEPARATE STYLESHEETS OR REPLACE *//////////////////////
//////////////////////////////

//////////////////////////////
/* INTRO *//////////////////////
//////////////////////////////

#intro a:not(.btn) {
  color: #000000;
}

.intro-organization-logo {
  height: 19px;
  margin: 0px 20px 20px 0px;
}

.intro-organization-logo:last-of-type {
  margin-right: 0;
}

//////////////////////////////
/* HOVERBLOCKS *//////////////////////
//////////////////////////////

@media (min-width: 960px) {

  .hoverblock-origin .hoverblock.initial,
  .hoverblock-origin .hoverblock[data-hoverblock="collaboration-made-easy"].active,
  .hoverblock-origin .hoverblock[data-hoverblock="collaboration-made-easy"]:active,
  .hoverblock-origin .hoverblock[data-hoverblock="collaboration-made-easy"]:focus,
  .hoverblock-origin .hoverblock[data-hoverblock="collaboration-made-easy"]:hover {
    color: #D04A81;
    cursor: default;
  }

  .hoverblock-origin .hoverblock[data-hoverblock="rapid-feedback-loops"].active,
  .hoverblock-origin .hoverblock[data-hoverblock="rapid-feedback-loops"]:active,
  .hoverblock-origin .hoverblock[data-hoverblock="rapid-feedback-loops"]:focus,
  .hoverblock-origin .hoverblock[data-hoverblock="rapid-feedback-loops"]:hover {
    color: #2F80ED;
    cursor: default;
  }

  .hoverblock-origin .hoverblock[data-hoverblock="lower-cost-of-development"].active,
  .hoverblock-origin .hoverblock[data-hoverblock="lower-cost-of-development"]:active,
  .hoverblock-origin .hoverblock[data-hoverblock="lower-cost-of-development"]:focus,
  .hoverblock-origin .hoverblock[data-hoverblock="lower-cost-of-development"]:hover {
    color: #27AE60;
    cursor: default;
  }

}

.hoverblock-destination .hoverblock {
  display: none;
}

.hoverblock-destination .hoverblock.active,
.hoverblock-destination .hoverblock.initial {
  display: block;
}

.hoverblock-title {
  display: inline-block;
  line-height: 20px;
  vertical-align: top;
}

.hoverblock-icon {
  float: left;
  height: 20px;
  margin: 0px 10px 0px 0px;
  width: 20px;
}

.active .hoverblock-icon {
  height: 30px;
  position: absolute;
  width: 30px;
}

.active .hoverblock-title,
.active .hoverblock-body-text {
  margin-left: 40px;
}

.hoverblock img {
  max-height: 515px;
}

@media (max-width: 959px) {

  .mobile-adaptive-show-under-lg img {
    max-height: 400px;
  }

}

//////////////////////////////
/* CTA TRIAL *//////////////////////
//////////////////////////////

.cmp-cta-trial h2:before {
  background: url("/images/enterprise/gitlab-enterprise-icon-accent-01.svg") no-repeat 0 0;
  content: "";
  display: block;
  font-size: 0;
  height: 50px;
  line-height: 0;
  margin: 0px auto 20px auto;
  width: 96px;
}


//////////////////////////////
/* CUSTOMER HIGHLIGHTS *//////////////////////
//////////////////////////////

#customers {
  position: relative;
}

#customers:before {
  background: $color-gray-extra-light;
  bottom: 0;
  content: "";
  display: block;
  height: 380px;
  left: 0;
  position: absolute;
}

#customers .container2020 {
  padding-bottom: 0;
}

#customers .col-md-12 {
  margin-bottom: 0;
}

.container2020 .customer-highlights {
  display: flex;
  flex-wrap: wrap;
  margin-bottom: -10px;
}

.customer-highlights .customer-highlight {
  border-radius: 5px;
  flex: 0 0 auto;
  margin-bottom: 10px;
  position: relative;
  width: calc(50% - 5px);
}

.customer-highlights .customer-highlight:nth-of-type(even) {
  margin-right: 10px;
}

.customer-highlights .statistic-card {
  background: $color-white;
  border-radius: 5px;
  padding: 6em 7em 7em 6em;
  position: relative;
}

.customer-highlights .customer-highlight .statistic-card {
  margin-left: 35px;
  margin-top: -75px;
  width: calc(100% - 70px);
}

.container2020 .customer-highlight-logo {
  left: 35px;
  max-width: 100px;
  position: absolute;
  top: 35px;
}

.container2020 .customer-highlight h4 {
  margin-bottom: 10px;
}

.customer-highlights .customer-highlight:first-of-type {
  clear: both;
  overflow: hidden;
  width: 100%;
}

.customer-highlight:first-of-type .quantify-wrapper {
  clear: both;
  display: block;
  margin-bottom: 10px;
  overflow: hidden;
  width: 100%;
}

.customer-highlight .quantify-wrapper strong {
  font-size: 1.2em;
  font-weight: 600;
}

.customer-highlight:first-of-type h4 {
  margin-bottom: 20px;
}

.customer-highlight:not(:first-of-type) .icon {
  background-position: 0 0;
  background-repeat: no-repeat;
  background-size: 35px;
  height: 35px;
  left: 17px;
  position: absolute;
  top: -17px;
  width: 35px;
}

.customer-highlight:first-of-type .quantify-wrapper:last-of-type {
  margin-bottom: 0;
}

@media (min-width: 999px) {

  .customer-highlight:first-of-type .statistic-card {
    margin-bottom: calc(100% / 12 * 1.4);
    margin-right: calc(100% / 12 * 1);
    margin-top: calc(100% / 12 * 1.4);
    max-width: calc(100% / 12 * 6);
    position: absolute;
    right: 0;
    top: 0;
  }

  .customer-highlight:not(:first-of-type) .quantify-wrapper:first-of-type {
    margin-right: 9%;
  }

  .customer-highlight .quantify-wrapper {
    display: inline-block;
    vertical-align: top;
    width: 45%;
  }

  .customer-highlight:first-of-type .icon {
    background-position: 0 0;
    background-repeat: no-repeat;
    background-size: 35px;
    float: left;
    height: 35px;
    margin-right: 20px;
    width: 35px;
  }

}

@media (max-width: 998px) {

  #customers {
    background: $color-gray-extra-light;
  }

  .customer-highlights .statistic-card {
    padding: 3em;
  }

  .customer-highlight:first-of-type .icon:last-of-type {
    background-position: 0 0;
    background-repeat: no-repeat;
    background-size: 35px;
    height: 35px;
    left: 10px;
    position: absolute;
    top: -17px;
    width: 35px;
  }

  .customer-highlight:first-of-type .customer-highlight-photo {
    transform: scaleX(-1);
  }

  .customer-highlight-logo {
    filter: drop-shadow(0 2px 4px  rgba(0, 0, 0, .5));
  }

}

@media (max-width: $breakpoint-md) {

  .customer-highlights .customer-highlight {
    margin-right: 0;
    width: 100%;
  }

}

@media (max-width: 479px) {
  .customer-highlight-logo {
    display: none;
  }
}

//////////////////////////////
/* FEATURE LIST *//////////////////////
//////////////////////////////

.cmp-feature-list h3:before {
  background: url("/images/enterprise/gitlab-enterprise-icon-tanuki.svg") no-repeat 0 0;
  background-size: 65px;
  content: "";
  display: block;
  font-size: 0;
  height: 60px;
  line-height: 0;
  margin: 0px auto 20px auto;
  width: 65px;
}

.container2020 .cmp-feature-list h3,
.container2020 .cmp-feature-list h4 {
  margin-bottom: 10px;
}

.cmp-feature-list .feature-list-feature-section {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.cmp-feature-list .feature-list-item {
  flex: 0 0 auto;
  margin-bottom: 30px;
  padding: 0px 20px;
}

.feature-list-icon img {
  float: right;
}

.feature-list-feature-section > div:nth-child(6n) {
  height: 1px;
  width: 100%;
}

@media (max-width: 959px) {
  .feature-list-icon {
    display: none;
  }
}

//////////////////////////////
/* CTA CONTACT *//////////////////////
//////////////////////////////

.cmp-cta-contact h2:before {
  background: url("/images/enterprise/gitlab-enterprise-team-member-photos.png") no-repeat 0 0;
  background-size: 212px;
  content: "";
  display: block;
  font-size: 0;
  height: 91px;
  line-height: 0;
  margin: 0px auto 20px auto;
  width: 213px;
}

